% TSOM demo: unit square with outliers

clear all

NumRowsMap=4;
NumColsMap=4;
MapSize=4;



NumSteps=100000;


SamplesTrain=[(rand(2,10000)-0.5) 100*(rand(2,100)-0.5)];
Range=-5:.1:5;
[ValuesX ValuesY]=meshgrid(Range,Range);
SamplesTest(1,:)=reshape(ValuesX,1,numel(ValuesX));
SamplesTest(2,:)=reshape(ValuesY,1,numel(ValuesY));    


for Method=0:2
    Model{Method+1}=TrainTSOM(SamplesTrain,NumRowsMap,NumColsMap,Method,[],NumSteps);
    [ANLL{Method+1},DensityTest{Method+1},Respon{Method+1}] = TSOMANLLMEX(SamplesTest,Model{Method+1});
end



ImageSize=sqrt(numel(DensityTest{1}));
for NdxModel=1:3
    Image{NdxModel}=reshape(DensityTest{NdxModel},ImageSize,ImageSize);
    imagesc(Image{NdxModel})
    figure
end



